# P45 - Get the product integration report file for a product import ("Added products report")

DescriptionThis API returns either a CSV file (MCM enabled) or a file in a format defined by the operator (MCM disabled).
Call FrequencyRecommended usage: Each time an integration report is neededMaximum usage: Each time an integration report is neededRead MoreMore context

Endpoint: GET /api/products/imports/{import}/new_product_report
Security: Shop-API-Key

## Security:

  - `Shop-API-Key` (unknown)
    apiKey in header Authorization scopes: ROLE_SHOP_ADMIN, ROLE_PARTNER_PRODUCT_WRITE

## Path parameters:

  - `import` (integer, required)
    Import identifier

## Query parameters:

  - `shop_id` (integer)
    Use this parameter when your user has access to several shops. If not specified, the shop_id from your default shop will be used.

## Response 200:

  - `200` (unknown)
    OK

## Response 200 examples:

  - `Complete example with value types (application/octet-stream)` (unknown)

